Installations and updates

Alerts and notices
Leave feedback

Internal Employees: Submit feedback

Contact information (optional):

Leave this blank:

Please tell us how we can make this information more helpful.


Characters left:

Installing Planner CS

Note: To open these guides, you must have Adobe Reader version 9.0 or higher installed. If you don't have the current version or if you have difficulty opening the guides, you can download and install the latest version of the Adobe Reader from the Downloads page of the Adobe website.

Standard installations: For step-by-step instructions, see the installation instructions (PDF).

Terminal server environment installations: If you plan to install your CS Professional Suite application in a terminal server environment, or if you plan to move the application from an existing local or network installation to a terminal server environment, as a critical first step please open and review Terminal Server Best Practices for CS Professional Suite Applications (PDF).

Updating applications and licenses

Viewing details about application updates

For details about updates and changes to the version of Planner CS that you have installed, see User bulletins.

Related topics

Share This